class FcmAddResponse {
  FcmAddResponse({
      this.message, 
      this.user,});

  FcmAddResponse.fromJson(dynamic json) {
    message = json['message'];
    user = json['user'] != null ? User.fromJson(json['user']) : null;
  }
  String? message;
  User? user;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['message'] = message;
    if (user != null) {
      map['user'] = user?.toJson();
    }
    return map;
  }

}

class User {
  User({
      this.fullname, 
      this.phoneNumber, 
      this.email, 
      this.sfmToken,});

  User.fromJson(dynamic json) {
    fullname = json['fullname'];
    phoneNumber = json['phone_number'];
    email = json['email'];
    sfmToken = json['sfm_token'];
  }
  String? fullname;
  String? phoneNumber;
  String? email;
  String? sfmToken;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['fullname'] = fullname;
    map['phone_number'] = phoneNumber;
    map['email'] = email;
    map['sfm_token'] = sfmToken;
    return map;
  }

}